# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class Tax

    java.lang.Object
      com.google.api.gbase.client.Tax

    public class Tax

extends java.lang.Object

Tax information

Constructor Summary
`Tax(java.lang.String country, java.util.Collection<java.lang.String> regions, float rate, java.lang.Boolean taxShip)` Creates a tax object.

Method Summary
`java.lang.String` `getCountry()` Gets the destination country, or null.
`float` `getRate()` Gets the tax rate.
`java.util.Collection<java.lang.String>` `getRegions()` Gets the regions.
`java.lang.Boolean` `getTaxShip()` Gets the taxShip, or null.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tax

    public Tax(java.lang.String country,
               java.util.Collection<java.lang.String> regions,
               float rate,
               java.lang.Boolean taxShip)

  Creates a tax object.

  Parameters:
    `country` - destination country (ISO 3312 2-letter code), can be null
    `regions` - A list of shipping regions within the destination country, can be null.
    `rate` - the tax percentage rate. For example, for 6% tax rate, rate should be set to 6.
    `taxShip` - A boolean indicating whether the shipping is taxed, can be null.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getRate

    public float getRate()

  Gets the tax rate.

### getCountry

    public java.lang.String getCountry()

  Gets the destination country, or null. This should be a ISO 3312 2-letter code.

### getRegions

    public java.util.Collection<java.lang.String> getRegions()

  Gets the regions. This method never returns null, but the returned list can be empty.

### getTaxShip

    public java.lang.Boolean getTaxShip()

  Gets the taxShip, or null.